Skype

Revision 8 as of 2006-04-20 11:52:59

Clear message

Skype

Skype allows you to talk to other people. Technically, it's a proprietary, multi-user, peer-to-peer, voice-over-IP, buzz-word compliant media communication application, supplied as a binary package. Also it seems to just work and a huge number of other people have found this too.

Good News

  • The newest binary packages from Skype work out of the box.

    See the SkypeHowto for more information.

Older versions

If you use this package, you may get an error message(dependency problems prevent configuration of skype) However the next time you open Synaptic Package Manager it will give you the opportunity to "Fix Broken Packages." This will correct the needed files, and Skype will work.

Or, if you'd prefer to add a line to /etc/apt/sources.list or a repositery through Synaptic, it is:

  • deb http://www.paul.sladen.org/debian all skype
    sudo apt-get update
    sudo apt-get install skype

Background

The above is all the information you need, this is just for the curious, or the good people at Skype if they want to know how to fix their package!

Skype put a dependency in on a CVS package that is actually called libqt3-mt. The following 1 line patch/change was made to the control file:

Known Bug

Sometimes, after installing Skype, the following error appears when trying to call or receive call "Problem with sound device"

The reason of that is perfectly explained over [http://juljas.net/linux/skype/ here], and the workaround is running [http://alsa.opensrc.org/OssEmulation Oss simulation in Alsa]

aoss skype 

AMD64

If you are running skype from a 32bit chroot, the aoss workaround may not work. If that is the case, try installing the [http://195.38.3.142:6502/skype/ Skype DSP Hijacker] which may solve your problems. Another alternative is to use an older version of Skype such as [http://download.skype.com/linux/skype_1.1.0.20-1_i386.deb] which does not have this bug.


CategoryCleanup